Package org.kapott.hbci.GV_Result

## Class GVRCardList.CardInfo

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRCardList.CardInfo

Enclosing class:
  GVRCardList

    public static class GVRCardList.CardInfo
    extends java.lang.Object

Informationen über genau eine Karte

### Field Summary

Fields
`java.lang.String` `cardnumber` Kartennummer
`java.lang.String` `cardordernumber` Kartenfolgenummer (optional)
`int` `cardtype` Kartenart aus den BPD
`java.lang.String` `comment` Bemerkungen (optional)
`Value` `limit` Kartenlimit (optional)
`java.lang.String` `owner` Name des Karteninhabers (optional)
`java.util.Date` `validFrom` Karte gültig von (optional)
`java.util.Date` `validUntil` Karte gültig bis (optional)

### Constructor Summary

Constructors
`CardInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cardtype

    public int cardtype

Kartenart aus den BPD

#### cardnumber

    public java.lang.String cardnumber

Kartennummer

#### cardordernumber

    public java.lang.String cardordernumber

Kartenfolgenummer (optional)

#### owner

    public java.lang.String owner

Name des Karteninhabers (optional)

#### validFrom

    public java.util.Date validFrom

Karte gültig von (optional)

#### validUntil

    public java.util.Date validUntil

Karte gültig bis (optional)

#### limit

    public Value limit

Kartenlimit (optional)

#### comment

    public java.lang.String comment

Bemerkungen (optional)

### Constructor Detail

#### CardInfo

    public CardInfo()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`